%define name	gabedit
%define version	1.1.4
%define tardate 180303
%define release 1mdk

Name: 	 	%{name}
Summary: 	GUI for comupational chemistry
Version: 	%{version}
Release: 	%{release}

Source:		Gabedit%{tardate}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://hplasim2.univ-lyon1.fr/allouche/gabedit
License:	BSD
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libjpeg-devel XFree86-devel libgtk+1.2-devel libMesaGLU-devel

%description
Gabedit is a graphical interface to Molpro2000 and Gaussian98 computational
chemistry packages running locally or on a remote server.  It includes a 3D
molecule editor and viewer.  Most major molecular file formats are supported
and graphics can be exported in many formats.

%prep
%setup -q -n Gabedit%tardate

%build
make CFLAGS="-Wall $RPM_OPT_FLAGS `gtk-config --cflags`"
										
%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Gabedit" longtitle="Computational Chem GUI" section="Applications/Sciences/Chemistry"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc License
%{_bindir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 1.1.4-1mdk
- 1.1.4

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 1.1.1-3mdk
- fix URL

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 1.1.1-2mdk
- buildrequires glu

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 1.1.1-1mdk
- initial package
